-- fusentest.fs_product_price definition

CREATE TABLE `fs_product_price` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `sn` char(8) NOT NULL COMMENT '唯一编码',
    `title` varchar(255) NOT NULL COMMENT '标题描述',
    `product_id` int(11) NOT NULL COMMENT '产品ID',
    `material_id` int(11) NOT NULL COMMENT '材质ID',
    `size_id` int(11) NOT NULL COMMENT '尺寸ID',
    `each_box_num` int(11) NOT NULL COMMENT '每一箱的个数',
    `each_box_weight` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '每一箱的重量 单位KG',
    `min_buy_num` int(11) NOT NULL COMMENT '最少购买量',
    `step_num` varchar(255) NOT NULL COMMENT '数量阶梯 eg:10,20,30',
    `step_price` varchar(255) NOT NULL COMMENT '价格阶梯 eg:100,50,25',
    `status` int(11) DEFAULT '1' COMMENT '是否可用',
    `is_default` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否默认',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `fields_index` (`product_id`,`material_id`,`size_id`) USING BTREE,
    KEY `product_id` (`product_id`) USING BTREE,
    KEY `material_id` (`material_id`) USING BTREE,
    KEY `size_id` (`size_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=103 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='阶梯价格表';